package system

import "github.com/gin-gonic/gin"

type RoleRouter struct {
}

func (r *RoleRouter) InitRoleRouter(router *gin.RouterGroup) {
	roleRouter := router.Group("role")
	{
		roleRouter.POST("save", roleApi.SaveRole)
		roleRouter.POST("update", roleApi.UpdateRole)
		roleRouter.POST("getRoleList", roleApi.GetRoleList)
		roleRouter.POST("delete", roleApi.Delete)
		roleRouter.GET("detail", roleApi.Detail)
		roleRouter.POST("grantMenu", roleApi.GrantMenu)
	}
}
